# List Instances - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-instances

# List Instances

GET

/

gpus

/

v2

/

instances

Try it

List Instances

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/instances \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/instances"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/instances', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/instances", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/instances"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/instances") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/instances")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"id": "ca338f12f3",
"name": "example-instance",
"type": "gpu",
"product_id": "product-id",
"image": "registry.example.com/namespace/image:tag",
"registry_auth_id": "registry-auth-id",
"entrypoint": "",
"command": "",
"billing": {
"mode": "prepaid",
"prepaid": {
"months": 1,
"end_time": 123,
"auto_renew": {
"enabled": true,
"months": 1,
"status": "active"
}
}
},
"envs": [
{
"key": "ENV_NAME",
"value": "ENV_VALUE"
}
],
"ports": [
{
"port": 8080,
"protocol": "tcp",
"endpoint": "http://1.2.3.4:8080"
}
],
"resource_specs": {
"rootfs_size_gb": 20,
"gpu_num": 1,
"cpu_num": 8,
"memory_gb": 32,
"gpu_ids": [
0
]
},
"network": {
"id": "",
"ip": "10.2.1.1"
},
"volumes": [
{
"type": "network",
"id": "network-storage-id",
"mount_point": "/data"
}
],
"region": "region-id",
"auto_migrate": {
"enabled": false,
"include_system_disk": false
},
"status": {
"status": "running",
"error": "",
"message": ""
},
"created_at": 1714464000,
"last_started_at": 1714467600,
"last_stopped_at": 0,
"member_id": "member-id",
"owner_id": "550e8400-e29b-41d4-a716-446655440000",
"region_version": "v1"
}
],
"next_cursor": "next-cursor-token",
"has_more": true
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-limit)

limit

integer

Maximum number of items to return. Uses the server default when omitted or 0. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Cursor for the next page. Leave empty for the first request, then pass the `next_cursor` from the previous response. String, length: 0-1024 characters.

[​](#parameter-name)

name

string

Fuzzy match on instance name or ID. String, length: 0-255 characters.

[​](#parameter-status)

status

string

Filter by instance status. String, length: 0-63 characters.

[​](#parameter-regions)

regions

string

Filter by region. Multiple regions are comma-separated. String, length: 0-1024 characters.

[​](#parameter-billing-mode)

billing_mode

enum<string>

Filter by billing mode. Allowed values: `postpaid`, `prepaid`, `spot`. Use an empty string to skip filtering.

Available options:

`postpaid`,

`prepaid`,

`spot`

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Instance list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no next page

Example:

`"next-cursor-token"`

[​](#response-has-more)

has_more

boolean

Whether there are more pages

Example:

`true`

Last modified on June 23, 2026
